using System;

namespace RX_Sample._02_Mediator
{
    public interface IMediator
    {
        void Register<TMessage>(object subject, Action<TMessage> handler, object key);

        void UnRegister<TMessage>(object subject);

        void Notify<TMessage>(TMessage message, object key);
    }
}
